## buffer 1.19

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,16 @@
 # Make the buffer program
 
-# Add -DSYS5 for A System 5 (USG) version of unix
-#   You should also add -DSYS5 for Ultrix, AIX, and Solarix.
+# You might need to add the following to CGFLAGS:
+#
+# Add -DSYS5 for A System 5 (USG) version of Unix
+#   You should also add -DSYS5 for Ultrix, AIX, and Solaris.
 # Add -DDEF_SHMEM=n if you can only have n bytes of shared memory
 #   (eg: -DDEF_SHMEM=524288 if you can only have half a meg.)
-CFLAGS=
+# Add -DAMPEX to change the default settings suitable for the high capacity
+#   Ampex drives, such as the DST 310.
+
+CC=gcc
+CFLAGS=-Wall
 
 # Where to install buffer and its manual pages
 INSTBIN=/usr/local/bin
@@ -13,7 +19,7 @@
 S=l
 
 RM=/bin/rm
-ALL=README buffer.man Makefile buffer.c sem.c COPYING
+ALL=README buffer.man Makefile buffer.c sem.c sem.h COPYING
 
 all: buffer
