=== debian/changelog ===
buffer (1.19-12) unstable; urgency=low

  * Use dpkg-buildflags
  * Upgraded to Standards-Version 3.9.5.0 (no changes required)
  * Added simple functionality checks after build

 -- Martin Buck <mbuck@debian.org>  Wed, 10 Sep 2014 00:30:39 +0200

buffer (1.19-11) unstable; urgency=low

  * Documented undocumented options. Closes: #608637
  * Documented buffer size limits. Closes: #561938
  * Switched to debhelper compatibility level 8
  * Switched to dpkg-source 3.0 (quilt) format
  * Split large autogenerated quilt patch into separate ones
  * Implemented build-arch/build-indep targets
  * Upgraded to Standards-Version 3.9.3.0 (no changes required)

 -- Martin Buck <mbuck@debian.org>  Thu, 21 Jun 2012 12:47:30 +0200

buffer (1.19-10) unstable; urgency=low

  * Fixed shared memory mapping to guarantee same address space in both
    parent and child process. Closes: #428105
  * Made lintian happy:
    - Fixed copyright file
    - Moved debhelper compat level to debian/compat
    - Don't ignore "make clean" errors
  * Upgraded to Standards-Version 3.7.3.0 (no changes required)

 -- Martin Buck <mbuck@debian.org>  Fri,  9 May 2008 16:09:42 +0200

buffer (1.19-9) unstable; urgency=low

  * Applied patch from Petr Salinger for GNU/kFreeBSD compatibility.
    Closes: #401743
  * Upgraded to Standards-Version 3.7.2.2 (no changes required)

 -- Martin Buck <mbuck@debian.org>  Fri,  9 Mar 2007 16:00:12 +0100

buffer (1.19-8) unstable; urgency=low

  * Applied patch from A. Costa to fix typos in manpage. Closes: #377637
  * Added lintian override for bogus warning about package description
  * Upgraded to Standards-Version 3.6.2.2 (no changes required)

 -- Martin Buck <mbuck@debian.org>  Wed, 12 Jul 2006 09:50:29 +0200

buffer (1.19-7) unstable; urgency=low

  * Really changed priority this time. Sigh.

 -- Martin Buck <mbuck@debian.org>  Sat,  1 Jan 2005 23:46:26 +0100

buffer (1.19-6) unstable; urgency=low

  * Changed priority to optional. Closes: #283803

 -- Martin Buck <mbuck@debian.org>  Thu, 30 Dec 2004 15:04:31 +0100

buffer (1.19-5) unstable; urgency=low

  * Disabled obsolete declaration of shmat(). Closes: #260395

 -- Martin Buck <mbuck@debian.org>  Tue, 27 Jul 2004 23:50:50 +0200

buffer (1.19-4) unstable; urgency=low

  * Fixed hang when using option "-p 100". Closes: #224984

 -- Martin Buck <mbuck@debian.org>  Sun, 11 Jan 2004 23:20:39 +0100

buffer (1.19-3) unstable; urgency=low

  * Added largefile support. Closes: #156847
  * Made sure -S/-z works properly with files > 4 TB.
  * Upgraded to Standards-Version 3.5.8

 -- Martin Buck <mbuck@debian.org>  Fri, 31 Jan 2003 23:55:43 +0100

buffer (1.19-2) unstable; urgency=low

  * Fixed buffer overrun in option parsing.
    Fixed (rather theoretical) potential division by zero in
    throughput calculation.
    Closes: #123543

 -- Martin Buck <mbuck@debian.org>  Tue, 11 Dec 2001 23:34:46 +0100

buffer (1.19-1) unstable; urgency=low

  * New upstream version. Closes: #91961
  * Added a few spelling fixes from FreeBSD version 1.17.1
  * Added (slightly modified version of) patch from Marc Schaefer that prints
    the throughput with option -S
  * Fixed a few gcc warnings

 -- Martin Buck <mbuck@debian.org>  Thu,  5 Apr 2001 22:10:07 +0200

buffer (1.17-6) unstable; urgency=low

  * Added Build-Depends. Closes: #70332

 -- Martin Buck <mbuck@debian.org>  Mon,  5 Mar 2001 22:19:09 +0100

buffer (1.17-5) unstable; urgency=low

  * Cleaned up debian/rules
  * Upgraded to Debian policy 3.0.1.1

 -- Martin Buck <mbuck@debian.org>  Mon, 13 Sep 1999 23:19:57 +0200

buffer (1.17-4) unstable; urgency=low

  * buffer now complains if non-option arguments are found
  * Document changes from original version in copyright-file
  * Checked conformance with Debian policy 2.5.0

 -- Martin Buck <mbuck@debian.org>  Sun, 29 Aug 1999 00:57:03 +0200

buffer (1.17-3) unstable; urgency=low

  * NMU;  added missing SEM_SEMUN_UNDEFINED 
  * closes: #31931
  * fixes: #31920

 -- Hartmut Koptein <koptein@debian.org>  Fri,  9 Jul 1999 10:04:49 +0200

buffer (1.17-2) unstable; urgency=low

  * Applied patch from Paul Slootman (closes: Bug#26098):
    - egcs complains about NULL where union expected. Now it builds on Alpha.
    - typos in manpage fixed.
  * Switched from debstd to debhelper

 -- Martin Buck <mbuck@debian.org>  Wed,  9 Sep 1998 22:35:29 +0200

buffer (1.17-1) unstable; urgency=low

  * Initial Release.

 -- Martin Buck <mbuck@debian.org>  Wed, 27 Aug 1997 01:11:29 +0200

Local variables:
mode: debian-changelog
End:
